--- /usr/src/linux/include/linux/version.h.orig	Mon Jan  8 15:09:14 2001
+++ /usr/src/linux/include/linux/version.h	Mon Jan  8 15:58:34 2001
@@ -21,55 +21,19 @@
 #undef __rh_version_included_file__
 #endif /* __rh_version_included_file__ */
 
-#if defined(__BOOT_KERNEL_UP) && (__BOOT_KERNEL_UP == 1)
-#include <linux/version-up.h>
-#define __rh_version_included_file__ 1
-#endif /* __BOOT_KERNEL_UP */
-
-#if defined(__BOOT_KERNEL_FB) && (__BOOT_KERNEL_FB == 1)
-#include <linux/version-fb.h>
-#define __rh_version_included_file__ 1
-#endif
-
-#if defined(__BOOT_KERNEL_SMP) && (__BOOT_KERNEL_SMP == 1)
-#include <linux/version-smp.h>
-#define __rh_version_included_file__ 1
-#endif /* __BOOT_KERNEL_SMP */
-
-#if defined(__BOOT_KERNEL_SECURE) && (__BOOT_KERNEL_SECURE == 1)
-#include <linux/version-secure.h>
-#define __rh_version_included_file__ 1
-#endif /* __BOOT_KERNEL_SECURE */
+#if defined(__BOOT_KERNEL_VERSION_CURRENT)
 
-#if defined(__BOOT_KERNEL_BOOT) && (__BOOT_KERNEL_BOOT == 1)
-#include <linux/version-BOOT.h>
-#define __rh_version_included_file__ 1
-#endif /* __BOOT_KERNEL_BOOT */
+#if defined(linux)
+#undef linux
+#include __BOOT_KERNEL_VERSION_CURRENT
+#define linux 1
+#else
+#include __BOOT_KERNEL_VERSION_CURRENT
+#endif /* linux */
 
-#if defined(__BOOT_KERNEL_BOOTSMP) && (__BOOT_KERNEL_BOOTSMP == 1)
-#include <linux/version-BOOTsmp.h>
 #define __rh_version_included_file__ 1
-#endif /* __BOOT_KERNEL_BOOTSMP */
 
-#if defined(__BOOT_KERNEL_LDV) && (__BOOT_KERNEL_LDV == 1)
-#include <linux/version-LDV.h>
-#define __rh_version_included_file__ 1
-#endif /* __BOOT_KERNEL_LDV */
-
-#if defined(__BOOT_KERNEL_HQ) && (__BOOT_KERNEL_HQ == 1)
-#include <linux/version-HQ.h>
-#define __rh_version_included_file__ 1
-#endif /* __BOOT_KERNEL_HQ */
-
-#if defined(__BOOT_KERNEL_SOHO) && (__BOOT_KERNEL_SOHO == 1)
-#include <linux/version-soho.h>
-#define __rh_version_included_file__ 1
-#endif /* __BOOT_KERNEL_SOHO */
-
-#if defined(__BOOT_KERNEL_CUSTOM) && (__BOOT_KERNEL_CUSTOM == 1)
-#include <linux/version-custom.h>
-#define __rh_version_included_file__ 1
-#endif /* __BOOT_KERNEL_CUSTOM */
+#endif /* __BOOT_KERNEL_VERSION_CURRENT */
 
 #if !defined(__rh_version_included_file__)
 #include <linux/version-up.h>
